MCP Tools Reference: ces.googleapis.com

工具:start_export_app

開始匯出 CES 應用程式

下列範例示範如何使用 curl 叫用 start_export_app MCP 工具。

Curl 要求
                  
curl --location 'https://ces.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "start_export_app",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

輸入內容的結構定義

McpService.StartExportApp 的要求訊息。

StartExportAppRequest

JSON 表示法
{
  "projectId": string,
  "locationId": string,
  "appId": string
}
欄位
projectId

string

要匯出應用程式的專案 ID。

locationId

string

要匯出應用程式的地區 ID。

appId

string

要匯出應用程式的應用程式 ID。

輸出內容的結構定義

匯出 CES 應用程式的作業。

ExportAppOperation

JSON 表示法
{
  "name": string,
  "done": boolean,
  "content": string
}
欄位
name

string

匯出應用程式作業的資源名稱。

done

boolean

作業是否完成。

content

string (bytes format)

如果 [done] 為 true,則包含壓縮應用程式匯出內容的 ZIP 檔案位元組,也就是包含 YAML 格式應用程式設定檔的資料夾。

Base64 編碼字串。

工具註解

破壞性提示:❌ | 等冪提示:❌ | 唯讀提示:❌ | 開放世界提示:❌